GET /api/v202109/energyStar/commodity

Get a list of all commodities and, if configured, their mappings in ENERGY STAR

GetEnergyStarCommodityMappingsV202109 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

EnergyStarCommodityMeterTypeMapping
Property Description Type
commodityCode The commodity code string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
portfolioManagerCommodityMapping EnergyStarCommodityMeterTypeMappingChild
EnergyStarCommodityMeterTypeMappingChild properties
Property Description Type
isDelivery When true, auto-created Portfolio Manager meters of this commodity are serviced “by delivery” rather than “by metering” boolean
pmUnitCode The unit code in Portfolio Manager string
suportedPmCommoditiesWithDefault List of supported Portfolio Manager commodities for this ECAP Commodity Every entry includes the commodity code and whether the commodity is the default for Portfolio Manager PmCommodityChild[]
PmCommodityChild properties
Property Description Type
isDefault When true, auto-created Portfolio Manager meters will be of this commodity boolean
pmCommodityCode Commodity code from Portfolio Manager string
submissionUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
[
  {    "commodityCode": "string",    "commodityIcon": {      "code": "string",      "color": "string"
    },    "commodityId": 1,    "commodityInfo": "string",    "portfolioManagerCommodityMapping": {      "isDelivery": false,      "pmUnitCode": "string",      "suportedPmCommoditiesWithDefault": []
    },    "submissionUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  }
]